<?php
    
  function validate($addr){
  
   if(!preg_match("/^[_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-.]+\.([a-zA-Z]{2,4})$/", $addr)){
    return FALSE;
   }else{
      list($user, $host) = explode('@', $addr);
      if(checkdnsrr($host, 'MX') or checkdnsrr($host, 'A')) {
          return TRUE;
      }else{
          return FALSE;
      }
   }
  } 
  
  function list_of_participants_check_captcha(){
  	require_once( list_of_participants_path . 'class.captcha.php' );
  	$my_captcha = new captcha($_POST['captchacode'], list_of_participants_path . '_temp');
  	return $my_captcha->verify( $_POST['captcha']); 
  }
  
  function lop_check_date($date,$format,$sep){    
    $pos1 = strpos($format, 'd');
    $pos2 = strpos($format, 'm');
    $pos3 = strpos($format, 'Y'); 
    $check = explode($sep,$date);
    return checkdate($check[$pos2],$check[$pos1],$check[$pos3]);
  }  
  
  function lop_check_age($lop_text_alter){
   $lop_tag = substr ($lop_text_alter,0,2);
   $lop_monat = substr ($lop_text_alter,3,2);
   $lop_jahr = substr ($lop_text_alter,6,4);

   /* $lop_jetzt = mktime(0,0,0,date("m"),date("d"),date("Y")); */
   $lop_geburt = mktime(0,0,0,$lop_monat,$lop_tag,$lop_jahr);
   /* $lop_age   = intval(($lop_jetzt - $lop_geburt) / (3600 * 24 * 365)); */
   $lop_age = floor((date("Ymd") - date("Ymd", $lop_geburt)) / 10000);
   return $lop_age;

  }
  
  function load_custom_script() {
   wp_enqueue_script('myscript', '/wp-content/plugins/list-of-participants/js/admin.js');
  }
      
?>