<?php
/*
Plugin Name: List of Participants
Plugin URI: http://wordpress.roemi.de
Description: "Teilnehmerliste / List of Participants"
Version: 2.1
Author: roemi.de
Author URI: http://www.roemi.de/
*/

  define("LIST_OF_PARTICIPANTS_PLUGIN_DIR", dirname(plugin_basename(__FILE__)));
  if ( defined("WP_PLUGIN_DIR") ) {
  	define("LIST_OF_PARTICIPANTS_PATH", WP_PLUGIN_DIR . '/' . LIST_OF_PARTICIPANTS_PLUGIN_DIR  . '/');
    define("LIST_OF_PARTICIPANTS_PATH_URL", WP_PLUGIN_URL . '/' . LIST_OF_PARTICIPANTS_PLUGIN_DIR. '/'); 
  } else {
    define("LIST_OF_PARTICIPANTS_PATH_REL", PLUGINDIR . '/' . LIST_OF_PARTICIPANTS_PLUGIN_DIR);
  	define("LIST_OF_PARTICIPANTS_PATH",  ABSPATH . LIST_OF_PARTICIPANTS_PATH_REL . '/');
    define("LIST_OF_PARTICIPANTS_PATH_URL",   get_option('siteurl') . '/wp-content/plugins/'. LIST_OF_PARTICIPANTS_PLUGIN_DIR. '/');
  }
   
  define("list_of_participants_path", LIST_OF_PARTICIPANTS_PATH);
  define("list_of_participants_admin_mail", get_option( 'admin_email' ));
  require_once(list_of_participants_path . "list_of_participants_function.php");

  add_shortcode('lop', 'lop');
  add_shortcode('mr_teiln', 'mr_teiln');  
  add_action('admin_menu', 'teilnehmerliste_admin');
  add_action('init', 'list_of_participants_textdomain');
  add_action('wp_print_styles', 'lop_css_einbinden' ); 
  add_action('admin_print_styles', 'lop_css_einbinden');
  add_action('init', 'load_custom_script', 1);
  global $userdata, $wpdb;
  
/* ******************************************
   ******* Tabellen pruefen und erzeugen
   ****************************************** */  

/* aktuelle version der datenbank */

  $act_db_version = "9";
  
  $lop_sql = "CREATE TABLE IF NOT EXISTS `wp_list_of_participants` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `event` text,
  `teilnehmer` text,
  `anzahl` double DEFAULT NULL,
  `mail` text,
  `internet` text,
  `frei1` text,
  `frei2` text,
  `geburtstag` text,
  `eintrag` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;";
  mysql_query($lop_sql);  
  
  $lop_sql = "CREATE TABLE IF NOT EXISTS `wp_list_of_participants_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `config` text,
  `value` text,
  PRIMARY KEY (`id`)
  ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ";
  mysql_query($lop_sql);  

  $lop_sql = "CREATE TABLE IF NOT EXISTS `wp_list_of_participants_head` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `event` text,
  `titel` text,
  `anzahl` text,
  `enddatum` text,
  `view_anzahl` text,
  `req_anzahl` text,
  `coll_anzahl` text,
  `view_gesamt` text,
  `req_gesamt` text,
  `coll_gesamt` text,
  `view_mail` text,
  `req_mail` text,
  `view_web` text,
  `titel_web` text,
  `req_web` text,
  `coll_web` text,
  `len_web` VARCHAR( 3 ) NOT NULL DEFAULT '40',
  `eintrag` timestamp DEFAULT CURRENT_TIMESTAMP,
  `titel_frei1` text,
  `req_frei1` text,
  `coll_frei1` text,
  `len_frei1` VARCHAR( 3 ) NOT NULL DEFAULT '40',
  `titel_frei2` text,
  `req_frei2` text,
  `coll_frei2` text,
  `len_frei2` VARCHAR( 3 ) NOT NULL DEFAULT '40',
  `alter` text,
  `req_alter` text,
  `coll_alter` text,
  `view_as_list` text,
  `button_label` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ";
  mysql_query($lop_sql);  
  
/* db-version abfragen */  
  $db_version = $wpdb->get_var("select value from `wp_list_of_participants_config` where `config` = 'db_version'");
  if (!$db_version){ 
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`, `value`) VALUES ('db_version', '1')");
    mysql_query("INSERT INTO `wp_list_of_participants` (`id` ,`event` ,`Teilnehmer` ,`Anzahl` ,`mail` ,`internet` ,`frei1` ,`frei2` ,`geburtstag` ,`eintrag`) VALUES ('1', 'ich_bin_der_erste_eintrag', '', '', '', '', '', '', '',CURRENT_TIMESTAMP), (NULL , 'Testevent_1', 'Andrea Musterfrau', '3', 'muster@frau.com', 'www.mustermann.com', '', '', '',CURRENT_TIMESTAMP), (NULL , 'Testevent_1', 'Thomas Mustermann', '2', 'muster@mann.de', 'www.muster.de', '', '', '',CURRENT_TIMESTAMP)");
    mysql_query("INSERT INTO `wp_list_of_participants_head` (`id` ,`event` ,`titel` ,`anzahl` ,`enddatum` ,`view_anzahl` ,`view_gesamt` ,`view_mail` ,`view_web` ,`eintrag`,`view_as_list`,`coll_anzahl`,`coll_web`)
VALUES (NULL , 'Testevent_1', 'Testevent 1', '20', '31.12.2012 23:59:25', 'on', 'on', 'on', 'on',CURRENT_TIMESTAMP,'List', 'on', 'on')");    
  }

/* 2. db_version */  
  if ($db_version < $act_db_version){
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `len_name` VARCHAR( 3 ) NOT NULL DEFAULT '40'"); 
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `len_mail` VARCHAR( 3 ) NOT NULL DEFAULT '40'");
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `view_alter` text");
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `titel_selection` text");
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `value_selection` text");
    mysql_query("ALTER TABLE `wp_list_of_participants` ADD `auswahl` text");
    mysql_query("UPDATE `wp_list_of_participants_config` SET `value` = '2' WHERE `config` = 'db_version'");   
  }   
 
/* 3. db_version */  
  if ($db_version < $act_db_version){
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `view_select` text");
    mysql_query("UPDATE `wp_list_of_participants_config` SET `value` = '3' WHERE `config` = 'db_version'");   
  }  
  
/* 4. db_version */ 
  if ($db_version < $act_db_version){
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `view_captcha` text");
    mysql_query("UPDATE `wp_list_of_participants_config` SET `value` = '4' WHERE `config` = 'db_version'");   
  }       
  
/* 5. db_version */ 
  if ($db_version < $act_db_version){
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `mail` text");
    mysql_query("UPDATE `wp_list_of_participants_config` SET `value` = '5' WHERE `config` = 'db_version'");   
  }        
  
/* 6. db_version */ 
  if ($db_version < $act_db_version){
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `description` longtext");
    mysql_query("UPDATE `wp_list_of_participants_config` SET `value` = '6' WHERE `config` = 'db_version'");   
  }       
        
/* 7. db_version */ 
   if ($db_version < $act_db_version){
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('style_title', 'bl18')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('style_description', 'nl16')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('style_detail', 'nl16')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('style_label', 'nl14')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('style_table_title', 'bl12')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('style_table', 'nl12')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('style_line_title', 'bl12')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('style_line', 'nl12')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('style_backcolor', '#FFFFFF')");
    
    mysql_query("UPDATE `wp_list_of_participants_config` SET `value` = '7' WHERE `config` = 'db_version'");   
  }         
 
/* 8. db_version */ 
   if ($db_version < $act_db_version){
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('titel_size', '2.0')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('text_size', '1.0')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('detail_size', '1.0')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('label_size', '0.8')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('table_titel_size', '0.8')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('table_size', '0.8')");
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`,`value`) VALUES ('div_height', '5')");
    
    mysql_query("DELETE FROM `wordpress`.`wp_list_of_participants_config` WHERE `wp_list_of_participants_config`.`config` = 'style_title'");    
    mysql_query("DELETE FROM `wordpress`.`wp_list_of_participants_config` WHERE `wp_list_of_participants_config`.`config` = 'style_description'");    
    mysql_query("DELETE FROM `wordpress`.`wp_list_of_participants_config` WHERE `wp_list_of_participants_config`.`config` = 'style_detail'");    
    mysql_query("DELETE FROM `wordpress`.`wp_list_of_participants_config` WHERE `wp_list_of_participants_config`.`config` = 'style_label'");    
    mysql_query("DELETE FROM `wordpress`.`wp_list_of_participants_config` WHERE `wp_list_of_participants_config`.`config` = 'style_table_title'");    
    mysql_query("DELETE FROM `wordpress`.`wp_list_of_participants_config` WHERE `wp_list_of_participants_config`.`config` = 'style_table'");    
    mysql_query("DELETE FROM `wordpress`.`wp_list_of_participants_config` WHERE `wp_list_of_participants_config`.`config` = 'style_line_title'");    
    mysql_query("DELETE FROM `wordpress`.`wp_list_of_participants_config` WHERE `wp_list_of_participants_config`.`config` = 'style_line'");    
    mysql_query("DELETE FROM `wordpress`.`wp_list_of_participants_config` WHERE `wp_list_of_participants_config`.`config` = 'style_backcolor'");
    
    mysql_query("UPDATE `wp_list_of_participants_config` SET `value` = '8' WHERE `config` = 'db_version'");   
  }    
  
  
/* 9. db_version */ 
  if ($db_version < $act_db_version){
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `startdate` text");
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `enddate` text");
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `starttime` text");
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `endtime` text");
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `payment` text");
    mysql_query("ALTER TABLE `wp_list_of_participants_head` ADD `payment_description` text");
    mysql_query("UPDATE `wp_list_of_participants_config` SET `value` = '9' WHERE `config` = 'db_version'");   
  }  
  
  
  
     
/* ******************************************
   ******* Timezone
   ****************************************** */ 
  
  $timezone = $wpdb->get_var("SELECT `value` FROM `wp_list_of_participants_config` where `config` =  'time'");   
  if($timezone == ''){
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`, `value`) VALUES ('time', '0')");
  } 
    
/* ******************************************
   ******* Rules
   ****************************************** */ 

  $lop_rules = $wpdb->get_var("SELECT `value` FROM `wp_list_of_participants_config` where `config` =  'rules'");   
  if($lop_rules == ''){
    mysql_query("INSERT INTO `wp_list_of_participants_config` (`config`, `value`) VALUES ('rules', '10')");
  } 
  

/* ******************************************
   ******* Frontend
   ****************************************** */ 
      
/* ========================= kopfdaten auslesen */  
  function lop($atts) {
    include('list_of_participants_frontend.php');
    return $text;  
  } 

  
  function mr_teiln($atts) {
    include('mr_tool2old.php');
    return $text;  
  } 
/* ******************************************
   ******* Menue aufbauen
   ****************************************** */ 

  function teilnehmerliste_admin(){ 
   global $userdata, $wpdb; 
   if (current_user_can('read')) $lop_check_rules = 0;
   if (current_user_can('edit_posts')) $lop_check_rules = 1;
   if (current_user_can('publish_posts')) $lop_check_rules = 2;
   if (current_user_can('publish_pages')) $lop_check_rules = 7;
   if (current_user_can('administrator')) $lop_check_rules = 10;
   $lop_min_rules = $wpdb->get_var("SELECT `value` FROM `wp_list_of_participants_config` where `config` =  'rules'");

    if ($lop_check_rules >= $lop_min_rules)  {  
        add_menu_page(__('Participants','list_of_participants'),__('Participants','list_of_participants'),0, 'teilnehmerliste_admin', 'teilnehmerliste_admin1');
        add_submenu_page('teilnehmerliste_admin','',__('Options','list_of_participants'), 0, 'teilnehmerliste_options','teilnehmerliste_options');
        $lop_sql = "select event from `wp_list_of_participants_head`";
        $result= mysql_query($lop_sql);
          if($result){
            while ($lop_menu = mysql_fetch_row($result)){
            if(strlen($lop_menu[0])>9): $menu_eintrag = substr($lop_menu[0],0,9)."..."; else: $menu_eintrag = substr($lop_menu[0],0,9); endif;
            add_submenu_page('teilnehmerliste_admin','',$menu_eintrag, 0, 'lopadm'."_".$lop_menu[0],'lopadm');

        /*  */
            
            }
          }
          add_submenu_page('teilnehmerliste_admin','','', 0, 'teilnehmerliste_edit','teilnehmerliste_edit');
    }
  }
 
/* ******************************************
   ******* Sprachdatei einbinden
   ****************************************** */ 

  function list_of_participants_textdomain() {
    if (function_exists('load_plugin_textdomain')) {
      if ( !defined('WP_PLUGIN_DIR') ) {
          load_plugin_textdomain('list_of_participants', str_replace( ABSPATH, '', dirname(__FILE__) ) . '/lang');
      } else {
          load_plugin_textdomain('list_of_participants', false, dirname(plugin_basename(__FILE__)) . '/lang');
      }
    } 
  }  
  
/* ******************************************
   ******* Aufruf Admin (Listen erstellen)
   ****************************************** */
     
  function teilnehmerliste_admin1(){
    global $userdata, $wpdb;
    $text .= "<div id='icon-users' class='icon32'></div>
    <div class='wrap'><h2>".__('Add a new list','list_of_participants')."</h2></div>";  
    include('list_of_participants_admin.php');
    include('list_of_participants_del.php');
    echo $text;
  }

/* ******************************************
   ******* Aufruf Admin (Options)
   ****************************************** */
     
  function teilnehmerliste_options(){
    global $userdata, $wpdb;
    $text .= "<div id='icon-tools' class='icon32'></div><div class='wrap'><h2>".__('Options','list_of_participants')."</h2></div>";  
    include('list_of_participants_options.php');

  }

/* ******************************************
   ******* css
   ****************************************** */  
function lop_css_einbinden() {
   wp_enqueue_style('lop_css', WP_PLUGIN_URL . '/' . plugin_basename(dirname(__FILE__)) . '/css/style.css');
}  
  
/* ******************************************
   ******* Aufruf Listenverwaltung
   ****************************************** */
  
function lopadm(){
global $userdata, $wpdb;
$path = $_GET["page"];
$arr = explode("lopadm_",$path); 
$lop_list_management = $arr[1];

$lop_sql = "select `id`,`event`,`titel`,`anzahl`,`enddatum`,`view_anzahl`,`req_anzahl`,`coll_anzahl`,`view_gesamt`,`view_mail`,`view_web`,`eintrag`,`titel_frei1`,`titel_frei2`,`alter`,`view_as_list`,`req_gesamt`,`coll_gesamt`,`req_mail`,`req_alter`,`coll_alter`,`req_web`,`coll_web`,`len_web`,`titel_web`, `req_frei1`, `coll_frei1`, `len_frei1`, `req_frei2`, `coll_frei2`, `len_frei2`, `button_label`, `len_name`, `len_mail`,`view_alter`,`titel_selection`,`value_selection`,`view_select`,`view_captcha`,`mail`,`description`,`starttime`,`endtime`,
`payment`,`startdate`,`enddate`,`payment_description`
from `wp_list_of_participants_head` where `event` = '$lop_list_management'";
$lop_result= mysql_query($lop_sql);

if($lop_result){
  while ($lop_list_head = mysql_fetch_row($lop_result)){
    $lop_ass_titel = $lop_list_head[2];
    $lop_ass_anzahl = $lop_list_head[3];
    $lop_db_eintrag = $lop_list_head[1];
    
    if($lop_list_head[4]){
      $lop_var_d = explode(" ", $lop_list_head[4]);
      $lop_datum = explode(".", $lop_var_d[0]);
      $lop_ass_tt = sprintf("%s", $lop_datum[0]);
      $lop_ass_mm = sprintf("%s", $lop_datum[1]);
      $lop_ass_jj = sprintf("%s", $lop_datum[2]);
      $lop_zeit = explode(":", $lop_var_d[1]); 
      $lop_ass_hh = sprintf("%s", $lop_zeit[0]);
      $lop_ass_min = sprintf("%s", $lop_zeit[1]);
      $lop_ass_ss = sprintf("%s", $lop_zeit[2]);
    }
    $lop_ass_view_anzahl = $lop_list_head[5]; 
    $lop_ass_req_anzahl = $lop_list_head[6]; 
    $lop_ass_coll_anzahl = $lop_list_head[7]; 
    $lop_ass_view_gesamt = $lop_list_head[8]; 
    $lop_ass_req_gesamt = $lop_list_head[16]; 
    $lop_ass_coll_gesamt = $lop_list_head[17];         
    $lop_ass_view_mail = $lop_list_head[9]; 
    $lop_ass_req_mail = $lop_list_head[18];        
    $lop_ass_len_mail = $lop_list_head[33]; 
    $lop_ass_req_web = $lop_list_head[21];        
    $lop_ass_coll_web = $lop_list_head[22];        
    $lop_ass_len_web = $lop_list_head[23];        
    $lop_ass_titel_web = $lop_list_head[24];
    $lop_ass_frei1 = $lop_list_head[12]; 
    $lop_ass_req_frei1 = $lop_list_head[25];        
    $lop_ass_coll_frei1 = $lop_list_head[26];        
    $lop_ass_len_frei1 = $lop_list_head[27];        
    $lop_ass_frei2 = $lop_list_head[13]; 
    $lop_ass_req_frei2 = $lop_list_head[28];        
    $lop_ass_coll_frei2 = $lop_list_head[29];        
    $lop_ass_len_frei2 = $lop_list_head[30];  
    $lop_ass_alter = $lop_list_head[14]; 
    $lop_ass_req_alter = $lop_list_head[19]; 
    $lop_ass_coll_alter = $lop_list_head[20];
    $lop_ass_view_alter = $lop_list_head[34];
    $lop_button_label = $lop_list_head[31];
    $lop_ass_view_list = $lop_list_head[15];
    $lop_ass_len_name = $lop_list_head[32]; 
    $lop_ass_titel_selection = $lop_list_head[35];
    $lop_ass_value_selection = $lop_list_head[36];
    $lop_ass_view_select = $lop_list_head[37];
    $lop_ass_view_captcha = $lop_list_head[38];
    $lop_ass_mail = $lop_list_head[39];
    $lop_ass_description = $lop_list_head[40]; 

  
    if($lop_list_head[41]){
      $lop_datum = explode(":", $lop_list_head[41]);
      $lop_ass_beginn_hh = sprintf("%s", $lop_datum[0]);
      $lop_ass_beginn_min = sprintf("%s", $lop_datum[1]);
    }  
    
    if($lop_list_head[42]){
      $lop_datum = explode(":", $lop_list_head[42]);
      $lop_ass_end_hh = sprintf("%s", $lop_datum[0]);
      $lop_ass_end_min = sprintf("%s", $lop_datum[1]);
    }     
  
    if($lop_list_head[44]){
      $lop_datum = explode(".", $lop_list_head[44]);
      $lop_ass_beginn_tt = sprintf("%s", $lop_datum[0]);
      $lop_ass_beginn_mm = sprintf("%s", $lop_datum[1]);
      $lop_ass_beginn_jj = sprintf("%s", $lop_datum[2]);
    }     
  
    if($lop_list_head[45]){
      $lop_datum = explode(".", $lop_list_head[45]);
      $lop_ass_end_tt = sprintf("%s", $lop_datum[0]);
      $lop_ass_end_mm = sprintf("%s", $lop_datum[1]);
      $lop_ass_end_jj = sprintf("%s", $lop_datum[2]);
    }      
    
    $lop_payment = $lop_list_head[43]; 
    $lop_payment_description = $lop_list_head[46];
  }
}
$text .= "<div id='icon-options-general' class='icon32'></div>";
$text .= "<div class='wrap'>";
$text .= "<h2>".__('Basic settings','list_of_participants').": ".$lop_ass_titel."</h2>";
$text .= "</div>";  
  
include('list_of_participants_admin.php');
include('list_of_participants_list_management.php'); 

echo $text;   
}        

/* ******************************************
   ******* Aufruf Admin (Edit)
   ****************************************** */
     
  function teilnehmerliste_edit(){
    global $userdata, $wpdb;
   
    include('list_of_participants_edit.php');

  }

  

